s390_register_adapter_interrupt
Prev | Chapter 4. Generic interfaces | Next

## Name

s390_register_adapter_interrupt — register adapter interrupt handler

## Synopsis

`void * s390_register_adapter_interrupt (` | adapter_int_handler_t | handler,
| void * | drv_data`)`;

## Arguments

`handler`

  adapter handler to be registered

`drv_data`

  driver data passed with each call to the handler

## Returns

Pointer to the indicator to be used on success `ERR_PTR` if registration failed

Prev | Up | Next
Chapter 4. Generic interfaces | Home | s390_unregister_adapter_interrupt